Bug 18997 - findtr, mergetr and msg2qm are missed from QTDIR/bin - l10n of qt2 application impossible
findtr, mergetr and msg2qm are missed from QTDIR/bin - l10n of qt2 applicatio...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: qt (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-12 16:32 EDT by Leonid Kanter
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-15 10:29:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for qt.spec (777 bytes, patch)
2000-10-15 10:29 EDT, Leonid Kanter
no flags Details | Diff

  None (edit)
Description Leonid Kanter 2000-10-12 16:32:18 EDT
findtr, mergetr and msg2qm are missed from QTDIR/bin. These binaries are
necessary to compile .po files. As a result, licq package (qt gui) from 7.0
doesn't have translations. The reason is in broken makefiles from qt-2.2.0.
Looks like makefile is fixed in 2.2.1. BTW, licq from RC1 included
translations and findtr, msg2qm were present in qt.
Comment 1 Bernhard Rosenkraenzer 2000-10-13 06:35:26 EDT
This is fixed in 2.2.1  (try rawhide or http://master.kde.org/~bero/rc2)
Comment 2 Leonid Kanter 2000-10-15 10:12:32 EDT
I was unable to find mergetr and msg2qm in qt-devel-2.2.1-3.i386.rpm from 
http://master.kde.org/~bero/rc2. They are still missed from qt makefiles, but
they are really necessary to build licq, for example. Look at my patch for
qt.spec.
Comment 3 Leonid Kanter 2000-10-15 10:29:31 EDT
Created attachment 4170 [details]
patch for qt.spec
Comment 4 Bernhard Rosenkraenzer 2000-10-16 12:27:52 EDT
It's fixed in 2.2.1-5. (I just closed the bug last time because you said Qt's
makefiles had been fixed in the base version).

Note You need to log in before you can comment on or make changes to this bug.